FreeMat

- Main Page
- Related Pages

vtkDataObjectToTable

Section: Visualization Toolkit Infovis Classes

# Usage

This filter is used to extract either the field, cell or point data of any data object as a table.

To create an instance of class vtkDataObjectToTable, simply invoke its constructor as follows

      obj = vtkDataObjectToTable

# Methods

The class vtkDataObjectToTable has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataObjectToTable class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataObjectToTable = obj.NewInstance ()`
- `vtkDataObjectToTable = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetFieldType ()` - The field type to copy into the output table. Should be one of FIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.
- `obj.SetFieldType (int )` - The field type to copy into the output table. Should be one of FIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.
- `int = obj.GetFieldTypeMinValue ()` - The field type to copy into the output table. Should be one of FIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.
- `int = obj.GetFieldTypeMaxValue ()` - The field type to copy into the output table. Should be one of FIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.